## org.eclipse.uml2.common.util
Class DerivedUnionEObjectEList<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.AbstractSequentialList<E>
                  org.eclipse.emf.ecore.util.AbstractSequentialInternalEList<E>
                      org.eclipse.uml2.common.util.DerivedEObjectEList<E>
                          org.eclipse.uml2.common.util.DerivedUnionEObjectEList<E>

All Implemented Interfaces:
  java.lang.Iterable<E>, java.util.Collection<E>, java.util.List<E>, org.eclipse.emf.common.util.EList<E>, org.eclipse.emf.ecore.EStructuralFeature.Setting, org.eclipse.emf.ecore.util.InternalEList<E>, org.eclipse.emf.ecore.util.InternalEList.Unsettable<E>

    public class DerivedUnionEObjectEList<E>

extends DerivedEObjectEList<E>

A derived list representing a union of all the elements from its source features. This list is ideal for implementing derived union features.

Since:
  1.2

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.uml2.common.util.DerivedEObjectEList
`DerivedEObjectEList.DerivedListIterator, DerivedEObjectEList.EmptyDerivedListIterator, DerivedEObjectEList.ResolvingDerivedListIterator`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.InternalEList
`org.eclipse.emf.ecore.util.InternalEList.Unsettable<E>`

Field Summary

Fields inherited from class org.eclipse.uml2.common.util.DerivedEObjectEList
`dataClass, featureID, owner, sourceFeatureIDs`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`DerivedUnionEObjectEList(java.lang.Class<?> dataClass, org.eclipse.emf.ecore.InternalEObject owner, int featureID, int[] sourceFeatureIDs)`

Method Summary
`java.util.List<E>` `basicList()`
`protected boolean` `isIncluded(org.eclipse.emf.ecore.EStructuralFeature feature)` Indicates whether all elements from the specified source feature are included in this list.

Methods inherited from class org.eclipse.uml2.common.util.DerivedEObjectEList
`add, addAll, addAllUnique, addUnique, basicListIterator, contains, createNotification, derive, dispatchNotification, doAddAllUnique, get, getEObject, getEStructuralFeature, getEStructuralFeature, isEmpty, isIncluded, isNotificationRequired, isSet, listIterator, listIterator, newEmptyListIterator, newListIterator, newResolvingListIterator, remove, set, set, setUnique, size, unset, validate`

Methods inherited from class org.eclipse.emf.ecore.util.AbstractSequentialInternalEList
`addAllUnique, addUnique, basicAdd, basicContains, basicContainsAll, basicGet, basicIndexOf, basicIterator, basicLastIndexOf, basicListIterator, basicRemove, basicToArray, basicToArray, move, move`

Methods inherited from class java.util.AbstractSequentialList
`get, iterator`

Methods inherited from class java.util.AbstractList
`add, clear, equals, hashCode, indexOf, lastIndexOf, listIterator, removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, containsAll, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.util.InternalEList
`addAllUnique, addUnique, basicAdd, basicContains, basicContainsAll, basicGet, basicIndexOf, basicIterator, basicLastIndexOf, basicListIterator, basicRemove, basicToArray, basicToArray`

Methods inherited from interface org.eclipse.emf.common.util.EList
`move, move`

Methods inherited from interface java.util.List
`add, addAll, clear, containsAll, equals, get, hashCode, indexOf, iterator, lastIndexOf, listIterator, remove, removeAll, retainAll, subList, toArray, toArray`

Constructor Detail

### DerivedUnionEObjectEList

    public DerivedUnionEObjectEList(java.lang.Class<?> dataClass,
                                    org.eclipse.emf.ecore.InternalEObject owner,
                                    int featureID,
                                    int[] sourceFeatureIDs)

Method Detail

### basicList

    public java.util.List<E> basicList()

  Specified by:
    `basicList` in interface `org.eclipse.emf.ecore.util.InternalEList<E>`
  Overrides:
    `basicList` in class `DerivedEObjectEList<E>`

### isIncluded

    protected boolean isIncluded(org.eclipse.emf.ecore.EStructuralFeature feature)

  Description copied from class: `DerivedEObjectEList`
  Indicates whether all elements from the specified source feature are included in this list.

  Overrides:
    `isIncluded` in class `DerivedEObjectEList<E>`
  Parameters:
    `feature` - A source feature.
  Returns:
    `true` if the elements are included; `false` otherwise.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.